org.apache.tiles.ognl

## Class AnyScopePropertyAccessor

- java.lang.Object
- - org.apache.tiles.ognl.AnyScopePropertyAccessor

- All Implemented Interfaces:
    ognl.PropertyAccessor

      public class AnyScopePropertyAccessor
      extends Object
      implements ognl.PropertyAccessor

  Accesses attributes in any scope.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnyScopePropertyAccessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getProperty(Map context, Object target, Object name)`
    `String` | `getSourceAccessor(ognl.OgnlContext context, Object target, Object index)`
    `String` | `getSourceSetter(ognl.OgnlContext context, Object target, Object index)`
    `void` | `setProperty(Map context, Object target, Object name, Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnyScopePropertyAccessor

          public AnyScopePropertyAccessor()

  - ### Method Detail

    - #### getProperty

          public Object getProperty(Map context,
                                    Object target,
                                    Object name)

      Specified by:
        `getProperty` in interface `ognl.PropertyAccessor`

    - #### getSourceAccessor

          public String getSourceAccessor(ognl.OgnlContext context,
                                          Object target,
                                          Object index)

      Specified by:
        `getSourceAccessor` in interface `ognl.PropertyAccessor`

    - #### getSourceSetter

          public String getSourceSetter(ognl.OgnlContext context,
                                        Object target,
                                        Object index)

      Specified by:
        `getSourceSetter` in interface `ognl.PropertyAccessor`

    - #### setProperty

          public void setProperty(Map context,
                                  Object target,
                                  Object name,
                                  Object value)

      Specified by:
        `setProperty` in interface `ognl.PropertyAccessor`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.